KDE 4.9 PyKDE API Reference

- KDE's Python API

# KMultiTabBarTab Class Reference

`from PyKDE4.kdeui import *`

Inherits: KMultiTabBarButton → QPushButton → QAbstractButton → QWidget → QObject

## Detailed Description

Use KMultiTabBar.appendTab to append a tab, which creates a KMultiTabBarTab instance

## Methods

| __init__ (self, QPixmap pic, QString a1, int id, QWidget parent, KMultiTabBar.KMultiTabBarPosition pos, KMultiTabBar.KMultiTabBarStyle style)
QSize | minimumSizeHint (self)
| paintEvent (self, QPaintEvent a0)
| setIcon (self, QString a0)
| setIcon (self, QPixmap a0)
| setPosition (self, KMultiTabBar.KMultiTabBarPosition a0)
| setState (self, bool state)
| setStyle (self, KMultiTabBar.KMultiTabBarStyle a0)
QSize | sizeHint (self)

## Method Documentation

__init__ | ( | self, |
|  | QPixmap | pic,
|  | QString | a1,
|  | int | id,
|  | QWidget | parent,
|  | KMultiTabBar.KMultiTabBarPosition | pos,
|  | KMultiTabBar.KMultiTabBarStyle | style
| ) |  |  |

This class should never be created except with the appendTab call of KMultiTabBar

QSize minimumSizeHint | ( |  | self ) |

paintEvent | ( | self, |
|  | QPaintEvent | a0
| ) |  |  |

setIcon | ( | self, |
|  | QString | a0
| ) |  |  |

setIcon | ( | self, |
|  | QPixmap | a0
| ) |  |  |

setPosition | ( | self, |
|  | KMultiTabBar.KMultiTabBarPosition | a0
| ) |  |  |

this is used internaly, but can be used by the user, if (s)he wants to It the according call of KMultiTabBar is invoked though this modifications will be overwritten

setState | ( | self, |
|  | bool | state
| ) |  |  |

set the active state of the tab

Parameters:

  |  | state true==active false==not active

setStyle | ( | self, |
|  | KMultiTabBar.KMultiTabBarStyle | a0
| ) |  |  |

this is used internaly, but can be used by the user, if (s)he wants to It the according call of KMultiTabBar is invoked though this modifications will be overwritten

QSize sizeHint | ( |  | self ) |